C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION INTPAR(J)
C*****GETS AN INTEGER PARAMETER
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2 (D-Z)
	COMMON/INPARA/CPAR(10)
	COMMON/CH/F(4),CRS(20)
	INTPAR=INT(CPAR(J))
	IF(INTPAR.LT.0)INTPAR=INT(CRS(-INTPAR))
	RETURN
	END
	FUNCTION CREPAR(J)
	IMPLICIT LOGICAL*1 (A)
C*****GETS REAL STORAGE PARAMETER
	IMPLICIT INTEGER*2(D-Z)
	COMMON/INPARA/CPAR(10)
	COMMON/CH/F(4),CSR(20)
	CREPAR=CPAR(J)
	IF(CREPAR.LT.0)CREPAR=CSR(INT(-CREPAR))
	RETURN
	END
